#include <iostream>
using namespace std;

template<class T> T min(const T* array, int n) {
	T array_min = array[0];
	for (int i = 1; i < n; i++) {
		if(array[i] < array_min) array_min = array[i];
	}
	return array_min;
}

int main () {

	int int_array[] = {2, 45, 3, 6, 23, 1, 12};
	double double_array[] = {2.13, 3.32, 1.32, 7.54};
	constexpr int size_int = sizeof int_array / sizeof int_array[0];
	constexpr int size_double = sizeof double_array / sizeof double_array[0];

	cout << endl;
	cout << "int min: " << min(int_array, size_int) << endl;
	cout << "double min: " << min(double_array, size_double) << endl;
	cout << endl;
	return 0;
}

