#include <cstdio>
#include <vector>

void print_array(const std::vector<int>& v){
	for(int value : v){
		printf("%2d, ", value);
	}
	printf("\n");
}

template<class...A> void test_function(A...args){
	std::vector<int> res { 99, 98, args..., 97, 96, 95 }; // initializer list
	printf("size %2zu: ", sizeof...(args) + 5);
	print_array(res);
}

int main() {

	test_function();
	test_function(1);
	test_function(1, 2);
	test_function(1, 2, 3);
	test_function(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20);

	return 0;
}

