#include <iostream>
using namespace std;

template<double g_a = 1.> double compute_weight(double mass) {
    return mass * g_a;
}

int main() {

    constexpr auto EarthGa = 9.81;
    constexpr auto MoonGa = 1.625;

    cout << compute_weight<EarthGa>(70.0) << endl;
    cout << compute_weight<MoonGa>(70.0) << endl;
    cout << compute_weight(70.0) << endl;
    cout << endl;

    return EXIT_SUCCESS;
}

