#include <iostream>
#include <cstring>
using namespace std;

template<class T> T min_tmpl (T a, T b) {
	cout << "Template version" << endl;
	return a < b ? a : b;
}

const char *min_tmpl (const char *n1, const char *n2) {
	cout << "Specialized version" << endl;
	return (strcmp(n1, n2) < 0 ? n1 : n2);
}

int main () {

	cout << "min_tmpl (10,20): " << min_tmpl (10, 20) << endl;
	cout << "min_tmpl (10.0,20.0): " << min_tmpl (10.0, 20.0) << endl;
	cout << R"(min_tmpl ("One", "Two"): )" << min_tmpl ("One", "Two") << endl;
	return 0;
}

